
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>一个分页类 / iVAN</title>

    <meta name="description" content="一个分页类 分页 抽象类==========================================================import java.util.ArrayList;import java.sql.Connection;import java.sql.ResultSet; import com.xxx.util.DBTool; /** * &lt;pre&gt; * 分页类.默认页面大小为20 * 这是一个抽象类.子类需要重构方法selResult() * &lt;/pre&gt ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">一个分页类</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>分页</p>
<p>抽象类<br />==========================================================<br />import java.util.ArrayList;<br />import java.sql.Connection;<br />import java.sql.ResultSet;</p>
<p>import com.xxx.util.DBTool;</p>
<p>/**<br /> * &lt;pre&gt;<br /> * 分页类.默认页面大小为20<br /> * 这是一个抽象类。子类需要重构方法selResult()<br /> * &lt;/pre&gt;<br /> */<br />public abstract class PageList {</p>
<p>  /** 以下成员变量在子类中可视 */<br />  protected final static int MIN_PAGE_SIZE = 20;  //默认页面大小<br />  protected int pageSize;                         //页面大小<br />  protected int curPage;                          //当前页页码<br />  protected int prePage;                          //上一页页码<br />  protected int nxtPage;                          //下一页页码<br />  protected int totalPage;                        //总页码数<br />  protected int totalItem;                        //总条目数<br />  protected String sql;                           //选择条件<br />  protected ArrayList result;                     //结果集<br />  protected int from;                             //开始的游标位置</p>
<p>  /** 私有变量 */<br />  private boolean hasFindResult = false;          //标志是否已经查找了结果<br />                                                  //保证loadResult只进行一次</p>
<p>  /**<br />   * 构造器.默认页面大小为20<br />   * @param sql<br />   * @param pageNo<br />   */<br />  public PageList(String sql, int pageNo) {<br />    init(sql, MIN_PAGE_SIZE, pageNo);<br />  }</p>
<p>  /**<br />   * 构造器<br />   * @param sql 条件SQL<br />   * @param pageSize 页面大小<br />   * @param pageNo 页码<br />   */<br />  public PageList(String sql, int pageSize, int pageNo) {<br />    init(sql, pageSize, pageNo);<br />  }</p>
<p>  protected void init(String sql, int pageSize, int pageNo) {<br />    this.sql = sql;<br />    this.pageSize = (pageSize&lt;=0?MIN_PAGE_SIZE:pageSize);<br />    this.curPage = (pageNo&lt;=0?1:pageNo);<br />  }</p>
<p>  /**<br />   * 获取页面大小<br />   */<br />  public int getPageSize() {<br />    if (!this.hasFindResult) {<br />      this.loadResult();<br />    }<br />    return this.pageSize;<br />  }</p>
<p>  /**<br />   * 获取当前页码<br />   */<br />  public int getCurPage() {<br />    if (!this.hasFindResult) {<br />      this.loadResult();<br />    }<br />    return this.curPage;<br />  }</p>
<p>  /**<br />   * 获取前一页的页码<br />   */<br />  public int getPrePage() {<br />    if (!this.hasFindResult) {<br />      this.loadResult();<br />    }<br />    return this.prePage;<br />  }</p>
<p>  /**<br />   * 获取后一页的页码<br />   */<br />  public int getNxtPage() {<br />    if (!this.hasFindResult) {<br />      this.loadResult();<br />    }<br />    return this.nxtPage;<br />  }</p>
<p>  /**<br />   * 获取页码总数<br />   */<br />  public int getTotalPage() {<br />    if (!this.hasFindResult) {<br />      this.loadResult();<br />    }<br />    return this.totalPage;<br />  }</p>
<p>  /**<br />   * 获取总条数<br />   */<br />  public int getTotalItem() {<br />    if (!this.hasFindResult) {<br />      this.loadResult();<br />    }<br />    return this.totalItem;<br />  }</p>
<p>  /**<br />   * 判断是否有页面<br />   * @return 如果总页面数为0，那么返回false；否则true<br />   */<br />  public boolean hasPages() {<br />    if (!this.hasFindResult) {<br />      this.loadResult();<br />    }<br />    return (this.totalPage != 0);<br />  }</p>
<p>  /**<br />   * 获取指定页面的结果集<br />   *<br />   * @return 指定页面结果集；如果没有则返回空集<br />   */<br />  public ArrayList getResult() {<br />    if (!this.hasFindResult) {<br />      this.loadResult();<br />    }<br />    return this.result;<br />  }</p>
<p>  /**<br />   * 选出结果<br />   */<br />  protected abstract ArrayList selResult();</p>
<p>  /**<br />   * 计算页码信息并且得到结果集.<br />   * 是calculatePageNoInfo和selResult的组合<br />   */<br />  private void loadResult() {<br />    //1.计算页码相关信息<br />    this.calculatePageNoInfo();<br />    //2.选出结果<br />    this.result = this.selResult();<br />    if (this.result == null) {<br />      this.result = new ArrayList();<br />    }<br />    //3. 保证loadResult()只进行一次<br />    hasFindResult = true;<br />  }</p>
<p>  /**<br />   * 计算页码相关信息 calculate<br />   */<br />  private void calculatePageNoInfo() {<br />    //1. 获取总条目数量<br />    this.totalItem = totalItem();<br />    //2. 计算页码信息<br />    //2.1 总页数<br />    if (this.totalItem == 0) {<br />      this.totalPage = 0;<br />    } else {<br />      this.totalPage = (this.totalItem-1) / this.pageSize + 1;<br />    }<br />    //2.2 当前页，前页，后页<br />    if (this.totalPage == 0) {<br />      this.curPage = 0;<br />      this.prePage = 0;<br />      this.nxtPage = 0;<br />      this.from    = 0;<br />    } else {<br />      this.curPage = (this.curPage&gt;this.totalPage?this.totalPage:this.curPage);<br />      this.prePage = ((this.curPage-1&lt;1)?1:(this.curPage-1));<br />      this.nxtPage = ((this.curPage==this.totalPage)?this.curPage:(this.curPage+1));<br />      this.from = (this.curPage-1)*this.pageSize;<br />    }<br />  }</p>
<p>  /**<br />   * 获取总条目数量<br />   */<br />  private int totalItem() {<br />    //access db<br />    int count = 0;<br />    DBTooldb = new DBTool();<br />    ResultSet rs = null;<br />    db.connDB();<br />    rs = db.advQuery(this.sql);<br />    try {<br />      while (rs.next()) {<br />        count++;<br />      }<br />    } catch (Exception e) {<br />    }<br />    db.closeDB();<br />    return count;<br />  }</p>
<p>}<br />//~</p>
<p>使用<br />===========================================================<br />假设我有一个News实体对象，现在要构造一个News相关的分页类</p>
<p>如下：</p>
<p>import java.sql.Connection;<br />import java.sql.ResultSet;<br />import java.sql.SQLException;</p>
<p>import com.xxx.util.DBTool;<br />import com.bokesoft.util.PageList;<br />import com.bokesoft.util.DateUtil;</p>
<p>/**<br /> * 新闻分页类<br /> */<br />public class NewsPageList extends PageList {</p>
<p>  public NewsPageList(String sql, int pageNo) {<br />    super(sql, pageNo);<br />  }</p>
<p>  public NewsPageList(String sql, int pageSize, int pageNo) {<br />    super(sql, pageSize, pageNo);<br />  }</p>
<p>  protected java.util.ArrayList selResult() {<br />    java.util.ArrayList result = new java.util.ArrayList(this.pageSize);</p>
<p>    if (this.totalItem == 0) {<br />      return result;<br />    }</p>
<p>    News news = null;<br />    DBTool db = new DBTool();<br />    ResultSet rs = null;<br />    db.connDB();<br />    rs = db.advQuery(this.sql);</p>
<p>    if (rs != null) {<br />      try { //一旦有异常被捕捉就结束循环<br />        int count = 1;<br />        if (this.curPage &gt; 1) {<br />          rs.absolute(this.from);   //跳转到开始行<br />        }<br />        while (rs.next() &amp;&amp; count&lt;=pageSize) {<br />          //循环构造news对象，然后加入列表中<br />          news = new News();<br />          news.setId(rs.getString("code")==null?"":rs.getString("code"));</p>
<p>          ......</p>
<p>          result.add(news);<br />          count++;<br />        }<br />      } catch (Exception e) {<br />      } finally {<br />        try { if (rs != null) rs.close();} catch (SQLException sqle) {}<br />      }<br />    }<br />    db.closeDB();<br />    return result;<br />  }<br />}<br />//~</p>
<p>客户程序的使用（jsp中）<br />========================================================<br />&lt;%<br />  //获得跳转的页码和显示条目数量以及选择条件<br />  //...<br />  //int iPageNo<br />  //int iPageSize<br />  //String sqlCond</p>
<p>  //这里是具体使用分页类的部分，非常简单<br />  NewsPageList npl = new NewsPageList(sqlCond, iPageSize, iPageNo);<br />  java.util.ArrayList resultList = npl.getResult();<br />  int totalPage = npl.getTotalPage();</p>
<p>  News news = null;<br />  int size = resultList.size();<br />  for (int i=0; i&lt;size; i++) {<br />    news = (News)resultList.get(i);<br />    //.....<br />  }</p>
<p>%&gt;</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 22:58:13</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/sql/" title="sql">sql</a>, <a href="https://www.iamivan.net/tag/%e6%9e%84%e9%80%a0%e5%99%a8/" title="构造器">构造器</a>, <a href="https://www.iamivan.net/tag/%e9%a1%b5%e7%a0%81/" title="页码">页码</a>, <a href="https://www.iamivan.net/tag/protected/" title="protected">protected</a>, <a href="https://www.iamivan.net/tag/int/" title="int">int</a>, <a href="https://www.iamivan.net/tag/pagesize/" title="PageSize">PageSize</a>, <a href="https://www.iamivan.net/tag/int%e5%a4%a7%e5%b0%8f/" title="int大小">int大小</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>一个分页类的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OM9LDdb.html" rel="bookmark">用JAVA实现一个分页类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				分页 这里我以从一个用户表中查询用户信息为例演示其用法: 1.将PageResultSet.java文件编译成class文件,并放入你的Web应用程序的WEB-INF/classes/com/youngor/util目录下,可以对包名做相应修改. 2.在你的Action类中:先从业务处理逻辑类中取出数据(ArrayList或Vector格式)UserBO userBO=new UserBO();Collection data=userBO.findUsers();//示例方法再得到当前页curP			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Myr4Nkp.html" rel="bookmark">另外一个分页类：支持多风格变换的ASP分页类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;% '****************************** '名称:分页类 '日期:2005/12/3 '作者:西楼冷月 '网址:www.xilou.net | www.chinaCMS.org '描述:无 '版权:转载请注名出处,作者 '****************************** Class Page Private CurrPage Private PageN Private UrlStr Private TempStr Private ErrInfo Priva			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Nz7mg4M.html" rel="bookmark">创建一个ASP通用分页类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				创建|分页 转自&quot;蓝色理想&quot; http://www.blueidea.com/tech/program/2004/1989.asp.ASP分页一直是一个众说纷坛的话题,而且也没有一个太有效的方法.今天在CSDN的BLOG里看到了这个ASP分页类,(http://blog.csdn.net/xiangbo520/archive/2004/09/22/113539.aspx),只是提供了源码,而且源码中部分标签已被作为HTML显示了,想复制下来也不太容易,所有到蓝色理想找到了一篇全面一点的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7b2LdBp.html" rel="bookmark">创建一个ASP分页类&lpar;一&rpar;文章部分</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				创建|分页 创建一个ASP通用分页类 平波 从开始学习到使用ASP到现在也写了不少程序了,最令人头痛的是写数据分页,每次都是由于几个变量名或几个参数的不同,因而需要每次都写哪一段冗长而又繁杂的分页代码,代码长了使得程序的可读性变差,容易出差,调试半天也找不出错在哪里,所以慢慢的我开始使用一些网上的提供的分页函数或分页类.的确省事不少,但是通常的函数和类的做法都是就数据显示部分也封装了起来,每次为了达到自己需要的显求效果要去改动函数或者类的本身,所以使用起来也不是怎么方便,自己写的分页改起来已经够			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OM9gJKz.html" rel="bookmark">贴一个偶写的分页类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				分页 抽象类==========================================================import java.util.ArrayList;import java.sql.Connection;import java.sql.ResultSet; import com.xxx.util.DBTool; /** * &lt;pre&gt; * 分页类.默认页面大小为20 * 这是一个抽象类.子类需要重构方法selResult() * &lt;/pre&gt; */p			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lp570Ab.html" rel="bookmark">ASP&period;NET技巧：一个通用的分页类</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				asp.net|分页|技巧 结合一个存储过程,将分页做成最简单,请看以下源码 此分页类所操作的存储过程#region 此分页类所操作的存储过程/**//********************************************************* *  * 功能强大,配合以下这个存储过程  *  * *******************************************************//**//*-- Pager 1,10,0,0, 'Employe			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bB2rX4b.html" rel="bookmark">一个通用的JSP分页类，具有显示多组页码功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近几天学习jsp觉得很好,写了个分页类,给大家分享一下,同时也请高手指点. 第一部分:db.MysqlConn 数据库链接类 /********************************************************** 路径:zon.db.MysqlConn 文件:MysqlConn.java 用途:数据库连接 package db; import java.sql.*; import javax.xml.parsers.*; import org.w3c.dom.*			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOnmo3p.html" rel="bookmark">PHP 一个完整的分页类&lpar;附源码&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如果是ajax调用: //$total,总数(int):$size,每页显示数量(int):$page,当前页(int),$url,链接(string):ajax,js函数名: $page = new Page(array('total'=&gt;$total,'perpage'=&gt;$size,'nowindex'=&gt;$page,'url' =&gt; $url,'ajax' =&gt; 'videoGoToPage')); //变量$page_html为分页的html,参数4是分页的显示样式			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3ZZZwz.html" rel="bookmark">分享一个取自HoverTree项目的&period;NET分页类&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这是一个实际应用中的类,代码出自HoverTree项目,适用与.NET平台,一般在ASP.NET中使用.效果可以在HoverTree官网看到. /* 在HoverTree CMS项目中使用 * 可以用于ASP.NET分页 */ namespace HoverTree.Framework.WebUI { public class KeleyiPager { public static string BuildPageIndex(int pageIndex, int totalPageCount)			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxPRQM.html" rel="bookmark" class="title">开源Excel库</a>
					<div>
						原文http://www.cnblogs.com/xiwang/archive/2012/04/01/2428874.html   一, 需要在Silverlight中导出Excel文件,累死了N个脑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxZwOz.html" rel="bookmark" class="title">关于上下文-1 &lpar;转自msdn&rpar;</a>
					<div>
						关于上下文 Susan WarrenMicrosoft Corporation 2002年1月14日 编写 Web 应用程序时最常见的问题之一,是要让代码知道它的执行上下文.让我们通过一个简单的例子( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7E98M.html" rel="bookmark" class="title">Socket的Connection refused异常解决办法</a>
					<div>
						今天练习Socket编程,在new Socket时无意间遇到下述异常,倒腾了好一通,原来是没有开启对应的 服务器,记下来,以备参考,顺便为广大网友提个醒,别走了弯路-- Log代码 java.net. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7k1gZz.html" rel="bookmark" class="title">用SQL Server Everywhere保存离线数据</a>
					<div>
						SQL Server Everywhere (SSEv) 是 SQL Server Mobile 2005 (SSM) 的下一个版本,版本号为 3.1,而 SSM 的版本号是 3.0.从版本号的变化就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2l0db.html" rel="bookmark" class="title">Hibernate &plus; spring &plus;struts &plus; mysql乱码终极解决方案</a>
					<div>
						(1)对mysql的my.ini配置文件的默认编码(好像是default-char-set)utf8 重启mysql服务. (2)web.xml配置过滤器,这个应该很简单,copy就OK了 Xml代码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPN51Db.html" rel="bookmark" class="title">MySQL查询全部数据集结果不一致问题解决</a>
					<div>
						最近出现一个很奇怪的MySQL问题,使用不同select语句查询全部数据集居然得到不同的记录数.select * 得到4条记录,select 字段得到的是3条记录. 具体问题可以看下面的查询结果: [ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RoExp.html" rel="bookmark" class="title">DIV CSS列形导航一例，超酷解析</a>
					<div>
						如图效果: 先看看XHTML代码:         &lt;div id=&quot;navcontainer&quot;&gt; &lt;p&gt;&lt;ul id=&quot;navlist&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlQgEb.html" rel="bookmark" class="title">2345王牌浏览器如何卸载？</a>
					<div>
						  2345王牌浏览器也就是我们常说的2345智能浏览器,有时候我们会经常改换上网浏览器,那么在windows系统下如何正确的卸载该浏览器呢?下面小编为大家提供了三种卸载2345王牌浏览器的方法,需要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZZxqz.html" rel="bookmark" class="title">win8系统安装建行网银盾驱动后检测不到网银盾如何解决</a>
					<div>
						  现在网购已经成为大家生活的购物的一部分了,不用出门也可以在家购买物品,非常方便.在win8系统电脑中上网购物首先要有网银,这样才能完成支付.但是最近有win8系统用户说下载安装建行的网银盾驱动,系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myw3mdz.html" rel="bookmark" class="title">7个步骤教你制作出让人疯传的信息图</a>
					<div>
						  随着社交媒体的兴起,全民进入读图时代.有三种图,在社交媒体中最受欢迎:1.搞笑内涵Gif图,不用太多文字,一句&quot;你懂的&quot;就有四两拨千斤的效果.2.&quot;亮点总在最后&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBQ4nz.html" rel="bookmark" class="title">win8系统回收站还原文件在哪里？</a>
					<div>
						  win8系统回收站还原文件在哪里?win8系统经常删除文件,删除的文件都到回收站了,Win8系统回收站就是保存删除文件得地方,如果想要恢复删除的文件,只要到回收站点击还原就可以了.但是一些用户遇到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42vDqM.html" rel="bookmark" class="title">没钱也要发展 地域性社区网站运营探讨</a>
					<div>
						在网站越来越垂直化发展的今天,互动类社区和论坛也在逐步走入专业化和地域化.以社区为例子,因为有着uch的技术支持,大量传统信息港加入了 SNS概念,而没有进行SNS拓展的信息港也受到了当地SNS社区的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAr5YJp.html" rel="bookmark" class="title">Android使用GridLayout绘制自定义日历控件&lowbar;Android</a>
					<div>
						效果图 思路:就是先设置Gridlayout的行列数,然后往里面放置一定数目的自定义日历按钮控件,最后实现日历逻辑就可以了. 步骤: 第一步:自定义日历控件(初步) 第二步:实现自定义单个日期按钮控件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Yx3rM.html" rel="bookmark" class="title">漆远：小数据学习和模型压缩存挑战，场景成为 AI 技术发展关键</a>
					<div>
						 &quot;蚂蚁金服是一家技术驱动的公司,我们做的事情,是使 AI 技术成为普惠金融的支点.&quot;蚂蚁金服副总裁.首席科学家漆远博士,在有中国&quot; AI 春节&quot;之称的新智元2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze69K9b.html" rel="bookmark" class="title">技术 &vert; 使用Python来学习数据科学的完整教程</a>
					<div>
						我在SAS工作了5年多之后,决定走出舒适区.作为一名数据科学家,我在寻找其他好用的工具,幸运的是,没过多久,我发现了Python. 一直以来,我喜欢敲代码.事实证明,有了Python,敲代码变得更为容 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAjxaM.html" rel="bookmark" class="title">源码-做安卓驱动工程师 选用 全志平台 还是 MTK平台 ？哪个好？</a>
					<div>
						问题描述 做安卓驱动工程师 选用 全志平台 还是 MTK平台 ?哪个好? MTK平台: mtk公司已经把Android源码优化了,把相关的驱动代码放到 mediatek 目录下, 主要修改相关的驱动就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZwZOb.html" rel="bookmark" class="title">警惕一大波银行类木马正在靠近，新型BankBot木马解析</a>
					<div>
						警惕一大波银行类木马正在靠近,新型BankBot木马解析       背景 来自安全公司Dr.Web的研究人员说,最近一个未命名的Android银行木马源代码在地下黑客论坛遭到了泄露.就在近期,阿里聚 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWGJWp.html" rel="bookmark" class="title">逻辑子接口-帧中继实现局域网互联</a>
					<div>
						问题描述 帧中继实现局域网互联 用帧中继实现局域网互联,拓扑如下: R1配置如下: interface Loopback0 ip address 192.168.1.1 255.255.255.0 i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQreJOM.html" rel="bookmark" class="title">一个hibernate连接oracle11g的问题</a>
					<div>
						问题描述 一个hibernate连接oracle11g的问题 &lt;?xml version='1.0' encoding='utf-8'?&gt; &lt;!DOCTYPE hibernate-c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgWyOb.html" rel="bookmark" class="title">配置文件-spring和shiro集成配置</a>
					<div>
						问题描述 spring和shiro集成配置 在meven项目结构里的spring和shiro集成配置怎么做,我用的mybatis映射数据库的, 我始终没有配置好securityManager,还有缓存 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Z0n7z.html" rel="bookmark" class="title">算法设计-孩子兄弟法&lpar;二叉链表表示法&rpar;写程序</a>
					<div>
						问题描述 孩子兄弟法(二叉链表表示法)写程序 按图片上的要求完成编程,只能用C或C++语言编写,代码发送到1575366373@qq.com 解决方案 我把代码按要求写出来了你能帮我修改吗? 解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjWkdM.html" rel="bookmark" class="title">websphere部署时遇到的一个问题，急~~~~~~</a>
					<div>
						问题描述 不久前在一台win2003服务器上安装了IBMWebSphereApplicationServer-ND,6.0.0.1在上面部署了我们的应用程序,我的websphereND安装在一个局域网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Z3gBz.html" rel="bookmark" class="title">求点击打印按钮导出自动行列表格并可以打印的源代码</a>
					<div>
						问题描述 基于安卓系统,在ASP.NET架构下,网页上点击打印按钮,打印出网站数据库中表格的数据,急求完整源代码高分急求(100分) 解决方案 解决方案二:基于安卓系统,在ASP.NET架构下---- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RoRVb.html" rel="bookmark" class="title">apk-Android 如何获取 指定的APK  icon&semi;</a>
					<div>
						问题描述 Android 如何获取 指定的APK icon; 如果我知道 apk的包名 或者 apk 名: 我该如何获取这个apk的icon??? 有大神知道吗? 解决方案 代码如下: package ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBEjqz.html" rel="bookmark" class="title">电商全品类扩张存隐忧 或遇同质化困局</a>
					<div>
						继京东商城.当当网.亚马逊中国争相走全品类路线后,苏宁易购.1号店近期又展开一轮&quot;圈地&quot;大战. 不过,当大型网上商城入驻商家和商品趋于雷同时,网上商城将不可避免地卷入&quot;千 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRN6dqM.html" rel="bookmark" class="title">linkbutton 的PostBackUrl设置传值</a>
					<div>
						问题描述 &lt;asp:LinkButtonrunat=&quot;server&quot;ID=&quot;LinkButton1&quot;PostBackUrl=&quot;~/Admin/A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmgDYp.html" rel="bookmark" class="title">手机QQ群怎么送礼物&comma;QQ群送礼物给群成员方法</a>
					<div>
						注意,送礼物其实就是需要花钱购买一些道具然后送给对方和QQ秀一样的原理了,就是要你花钱,你乐意开心就好. 手机QQ群怎么送礼物? 1.在手机中进入到QQ群,如图: 2.在QQ群聊天对话框右下角,选择& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL59Yvz.html" rel="bookmark" class="title">求助：java aes加密的问题</a>
					<div>
						问题描述 按照要求加密,我加密后的与对方的不一致privatestaticStringaesEncode(Stringjson)throwsException{Ciphercipher=Cipher. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYwoAb.html" rel="bookmark" class="title">社交平台是主要流量来源</a>
					<div>
						近年来,互联网销售渠道在多个行业显示出快速增长的势头.数据显示,2015年,阿里&quot;双十一&quot;创造销售额912.17亿元,同比增长59.7%:2012年-2014年,服装网购交易额从3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jwwgp.html" rel="bookmark" class="title">AMD：别黑我了，你们要的新处理器马上来</a>
					<div>
						长期以往,PC爱好者们通常都会依据个人喜好分为两大派系:偏爱高性能低能耗的Intel派,以及偏爱性价比的农企派,通常情况下不会有人选择保持中立.但AMD认为,其即将发布的新一代旗舰芯片Zen将改变这一 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
